﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace SortingMethods
{
    public class DataSource : BaseClass
    {
        public DataSource()
        {
        }
        public DataSource(string name)
        {
            this._name = name;
        }
        private string _name;
        public string Name

        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged();
            }
        }
    }
    public class BaseClass : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)

        {
            var handler = PropertyChanged;

            if (handler == null) return;

            var prop = new PropertyChangedEventArgs(propertyName);

            handler(this, prop);
        }
    }
}
